### Method

# Dex Block get_kind

#### Declaration [src]

    DexBlockKind
    dex_block_get_kind (
      DexBlock* block
    )

#### Description [src]

Gets the kind of block.

The kind of block relates to what situations the block would be executed such as for handling a future resolution, rejection, or both.

#### Return value

Type: `DexBlockKind`

The `DexBlockKind` associated with the `block`.